cURL
curl --request PUT \ --url https://api.maalbar.dk/suppliers/{supplierPublicId}/locations/{locationPublicId} \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "type": "<string>", "name": "<string>", "externalId": "<string>", "supplier": { "publicId": "tls_xxxxxxxxxxxx" }, "address": "<string>", "city": "<string>", "zip": "<string>", "weeksRotation": 123, "totalCapacity": 123, "shelfHeight": 123, "tier": "<string>", "own": false, "vatNumber": "<string>", "stores": 123, "timeperiod": "<string>" } '
{ "publicId": "<string>", "name": "<string>", "type": "<string>", "own": false, "geographical": { "location": { "publicId": "<string>", "name": "<string>" } }, "externalId": "<string>", "address": "<string>", "city": "<string>", "zip": "<string>", "weeksRotation": 123, "totalCapacity": 123, "shelfHeight": 123, "tier": "<string>", "vatNumber": "<string>", "stores": 123, "timeperiod": "<string>", "supplier": { "publicId": "<string>", "name": "<string>" } }
Show child attributes
Successful response